Board index » delphi » Field Blob Oracles is not valid field type

Field Blob Oracles is not valid field type

I'm form Brazil, and I create a table in Oracle 8.05
CREATE TABLE IMAGEM

INDICE  VARCHAR2(5),
IMAGENS  BLOB
)

In Delphi if I use TQuery or TTable and I active this components I recive:
Error
Invalid Field Type
Why???

Flavia
Ps: I'm sorry but my is very bad.

 

Re:Field Blob Oracles is not valid field type


Hi everybody

Im from Brazil too. Im using D5, BDE 5.1.1 and Oracle 8.1.9. Im having this
very same problem. In my tests, I could find out the problem is related to
CLOB and BLOB fields. Using RAW or LONGRAW, the problem doesnt happen.
However, thos last two types of fields are not recomended anymore. One hitnt.
I instaled ORACLE 8 BDE driver, but SQL Explorer shows me version 7.3.2.0.0.

Documentation says SQL Explorer runs the following sentence to get the server
version:

select 'Oracle' || VERSION_TEXT from SM$VERSION

Running this sentence, it really returns the verion 7.3.2.0.0.

However, in Oracle 8, the correct way to get the verions info is:

select * from V$VERSION

So, until now, Im stuck in the same problem of my brazilian friend. Anybody
has a clue about it?

TIA

Alex

  alex.vcf
< 1K Download

Other Threads